<?php

namespace common\logic;

class BaseManager
{
    protected ContainerInterface $container;

    public function __call($method, $args)
    {
        foreach($this->container->getServices() as $serviceClass) {
            if(method_exists($serviceClass, $method)) {
                return call_user_func_array(
                    [new $serviceClass, $method],
                    $args
                );
            }
        }
    }

    public function setContainer(ContainerInterface $container): void
    {
        $this->container = $container;
    }
}